dracut/microcode_cleanup.patch

31 lines
1011 B
Diff
Raw Normal View History

dracut: Do not create early_cpio if no suitable microcode exist in hostonly
case
Intel microcodes only exist for very specific family/model/stepping CPUs.
If no microcode gets added, there is no need to create an empty
(only directories) cpio later that gets glued to the initrd.
This also fixes:
Index: dracut-033/dracut.sh
===================================================================
--- dracut-033.orig/dracut.sh
+++ dracut-033/dracut.sh
@@ -1311,12 +1311,15 @@ if [[ $early_microcode = yes ]]; then
dinfo "*** Constructing ${ucode_dest[$idx]} ****"
if [[ $hostonly ]]; then
_src=$(get_ucode_file)
+ if ! [[ -r $_fwdir/$_fw/$_src ]];then
+ break;
+ fi
fi
cat $_fwdir/$_fw/$_src > $_dest_dir/${ucode_dest[$idx]}
+ create_early_cpio="yes"
fi
done
done
- create_early_cpio="yes"
fi
rm -f -- "$outfile"